---

services:
  dexes_pdp.pdp_client:
    class: Dexes\ControlPlaneSdk\PDP\PdpClient
    factory: Drupal\dexes_pdp\Factory\PdpClientFactory::create
    arguments:
      - '@dexes_pdp.http_request_service'
      - '@dexes_pdp.repositories.auth_repository'
      - '@logger.factory'
      - '@cache.default'

  dexes_pdp.http_request_service:
    class: Dexes\ControlPlaneSdk\HttpRequestService
    factory: Drupal\dexes_pdp\Factory\HttpRequestServiceFactory::create
    arguments:
      - '@config.factory'
      - '@http_client_factory'

  dexes_pdp.repositories.auth_repository:
    class: Dexes\ControlPlaneSdk\PDP\Repositories\AuthRepository
    factory: Drupal\dexes_pdp\Factory\AuthRepositoryFactory::create
    arguments:
      - '@dexes_pdp.http_request_service'
      - '@logger.factory'
      - '@config.factory'
